<div class="modal-header">
    <h3 class="modal-title" id="modal-title" ng-bind="(ctrl.editData.index<0?'New':'Edit')+' record'"></h3>
</div>

<div class="modal-body" id="modal-body">
    <label for="firstName">First name</label>
    <input id="firstName" type="text" class="form-control" ng-model="ctrl.edited.firstName"/>
    <label for="lastName">Last name</label>
    <input id="lastName" type="text" class="form-control" ng-model="ctrl.edited.lastName"/>
    <label for="login">Login</label>
    <input id="login" type="text" class="form-control" ng-model="ctrl.edited.login"/>
    <label for="password">Password</label>
    <input id="password" type="text" class="form-control" ng-model="ctrl.edited.password"/>
    <label for="role">Role</label>
    <div class="checkbox">
        <label class="checkbox-inline" ng-repeat="(role,enabled) in ctrl.rolesList">
            <input type="checkbox" ng-model="ctrl.rolesList[role]" /> {{role}}
        </label>
    </div>
</div>

<div class="modal-footer">
    <button class="btn btn-success fa fa-check" type="button" ng-click="ctrl.ok()"></button>
    <button class="btn btn-warning fa fa-trash" type="button" ng-click="ctrl.delete()" ng-disabled="ctrl.editData.index<0"></button>
    <button class="btn btn-danger fa fa-times" type="button" ng-click="ctrl.cancel()"></button>
</div>